# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               guimup
Version:            0.3.2
Release:            1.68
Summary:            GUI Client for the MPD Music Player Daemon
Source:             http://prdownloads.sourceforge.net/musicpd/guimup_%{version}_src.tar.gz
Source1:            guimup.desktop
URL:                http://www.coonsden.com/
Group:              Productivity/Multimedia/Sound/Players
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      pkgconfig(gtkmm-3.0)
BuildRequires:      pkgconfig(gthread-2.0)
BuildRequires:      pkgconfig(unique-3.0)
BuildRequires:      pkgconfig(libsoup-2.4)
BuildRequires:      pkgconfig(libmpdclient)
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      ImageMagick
BuildRequires:      hicolor-icon-theme
BuildRequires:      update-desktop-files

%description
GUIMUP is a client for the music player daemon (MPD).

Features:
* Gtk3 application (but does not depend on Gnome). 
* The focus is on mouse handling: playlist management is done entirely by drag
  & drop. 
* Playback functions are directly accessible from the system tray. 
* Supports album art (stored locally). 
* Supports audio streams (http). 
* Songs can be listed in several modes: artists, albums, timestamp, year,
  genre, folders and playlists. 
* The library can be searched by title, album, artist or genre. 
* Folders and files can be opened in external programs (such as a tag-editor or
  file-manager). 
* Files can be played directly from a file-manager (drag & drop or command-line
  parameters). 

%prep
%setup -q

%build
%configure \
    --disable-silent-rules
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_prefix}/doc"

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
convert -antialias -scale 128x128 src/grafix/Pics/nopic.png "%{name}.png"
%__install -D -m0644 "%{name}.png" "%{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png"
%suse_update_desktop_file -r "%{name}" AudioVideo Audio Player

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/guimup
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Mon May 21 2012 pascal.bleser@opensuse.org
- initial version (0.3.2)
